package ca.recrown.islandsurvivalcraft.islandbedrockmetadata;

import java.util.UUID;

import org.bukkit.block.Biome;
import org.bukkit.plugin.Plugin;

public class IslandMetadataPack {
    public IslandMainBiomeMetadata mainBiomeMetadata;
    public IslandShoreBiomeMetadata shoreBiomeMetadata;
    public IslandTemperatureMetadata temperatureMetadata;
    public IslandTUIDMetadata islandTIUDMetadata;
    public IslandOwnerMetadata ownerMetadata;

    public void setMainBiome(Biome biome, Plugin owningPlugin) {
        mainBiomeMetadata = new IslandMainBiomeMetadata(owningPlugin, biome);
    }

    public Biome getMainBiome() {
        return mainBiomeMetadata.getMainBiome();
    }

    public void setShoreBiome(Biome biome, Plugin owningPlugin) {
        shoreBiomeMetadata = new IslandShoreBiomeMetadata(owningPlugin, biome);
    }

    public Biome getShoreBiome() {
        return shoreBiomeMetadata.getShoreBiome();
    }

    public void setTemperature(float temperature, Plugin owningPlugin) {
        temperatureMetadata = new IslandTemperatureMetadata(owningPlugin, temperature);
    }

    public float getTemperature() {
        return temperatureMetadata.getTemperature();
    }

    public void setTUID(String tiud, Plugin owningPlugin) {
        islandTIUDMetadata = new IslandTUIDMetadata(owningPlugin, tiud);
    }

    public void setTUID(int worldX, int worldZ, Plugin owningPlugin) {
        setTUID((String.valueOf(worldX) + String.valueOf(worldZ)), owningPlugin);
    }

    public String getTUID() {
        return islandTIUDMetadata.getIUID();
    }

    public void setOwner(UUID uuid, Plugin owningPlugin) {
        ownerMetadata = new IslandOwnerMetadata(owningPlugin, uuid);
    }

    public UUID getOwner() {
        return ownerMetadata.getUUID();
    }
}