package ca.recrown.islandsurvivalcraft.islandbedrockmetadata;

import org.bukkit.plugin.Plugin;

public class IslandTemperatureMetadata extends IslandFixedMetadata {

    public IslandTemperatureMetadata(Plugin owningPlugin, Float value) {
        super(owningPlugin, value);
    }

    public float getTemperature() {
        return ((Float) this.value()).floatValue();
    }

    @Override
    public IslandMetadataType getIslandMetadataType() {
        return IslandMetadataType.temperature;
    }
}